#!/bin/sh
export PATH='/usr/obj/ports/hs-abstract-deque-0.1.6/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: abstract-deque
version: 0.1.6
id: abstract-deque-0.1.6-b084ad09713e6de95641b1da63f6f60f

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage: https://github.com/rrnewton/haskell-lockfree-queue/wiki
package-url:
synopsis: Abstract, parameterized interface to mutable Deques.
description: An abstract interface to highly-parameterizable queues/deques.
             .
             Background: There exists a feature space for queues that extends between:
             .
             * simple, single-ended, non-concurrent, bounded queues
             .
             * double-ended, threadsafe, growable queues
             .
             ... with important points inbetween (such as
             the queues used for work-stealing).
             .
             This package includes an interface for Deques that allows the
             programmer to use a single API for all of the above, while using the
             type-system to select an efficient implementation given the
             requirements (using type families).
             .
             This package also includes a simple reference implementation based
             on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
pkgpath: devel/hs-abstract-deque
exposed: True
exposed-modules: Data.Concurrent.Deque.Class
                 Data.Concurrent.Deque.Tests Data.Concurrent.Deque.Reference
                 Data.Concurrent.Deque.Reference.DequeInstance
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc/abstract-deque-0.1.6
library-dirs: /usr/local/lib/ghc/abstract-deque-0.1.6
hs-libraries: HSabstract-deque-0.1.6
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: HUnit-1.2.5.2-53984ba5b2984037aa88060d4a146cd3
         base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         containers-0.5.5.1-171870bb1335468dfd35b06f64ad39aa
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-abstract-deque-0.1.6/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/hs-abstract-deque-0.1.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
